--- a/Makefile
+++ b/Makefile
@@ -1,30 +1,28 @@
 TARGET = yeahconsole
-CC = gcc
-#CC = cc
 INSTALL = install
 
-PREFIX = /usr/local
+PREFIX = /usr
 
 LIBS = -lX11 
 INCLUDES = -I/usr/X11R6/include 
 LIB_DIRS = -L/usr/X11R6/lib
-FLAGS = -Os -Wall
+FLAGS = -Wall $(CFLAGS)
 
 OBJECTS := yeahconsole.o
 SOURCES := yeahconsole.c
 
 $(TARGET): $(OBJECTS) 
-	$(CC) $(DEFINES) $(INCLUDES) $(LIB_DIRS) $(LIBS) -o $@ $<
-	strip $@
+	$(CC) $(FLAGS) $(LDFLAGS) $(DEFINES) $(INCLUDES) $(LIB_DIRS) -o $@ $< $(LIBS)
 
 $(OBJECTS): $(SOURCES) 
-	$(CC) $(FLAGS)  $(DEFINES) $(INCLUDES) $(LIB_DIRS) -c -o $@ $<
+	$(CC) $(FLAGS) $(DEFINES) $(INCLUDES) $(LIB_DIRS) -c -o $@ $<
 
 clean:
 	rm -rf $(TARGET) $(OBJECTS)
 
 install: $(TARGET) $(MAN)
-	$(INSTALL) -o root -g root -m 0755 $(TARGET) $(PREFIX)/bin
+	mkdir -p $(DESTDIR)$(PREFIX)/bin
+	$(INSTALL) -m 0755 $(TARGET) $(DESTDIR)$(PREFIX)/bin
 	
 
 uninstall:
